using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("工作票排班模板")]
    public class T_FO_SCHEDULING_TEMPLATE : MesEntityBase
    {
        [Description("名称")]
        public string NAME { get; set; }

        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        [Description("排班周期")]
        [FormFieldTable]
        [FormFieldEdit]
        public int CYCLE { get; set; }

        [Description("开始时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime START_TIME { get; set; }

        [Description("结束时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime END_TIME { get; set; }

        [Description("导航：配置详情表")]
        public virtual ICollection<T_FO_SCHEDULING_TEMPLATE_DETAIL> Nav_Details { get; set; }
    }
}
